%define rel		1

#comment out if not prerelease
#define	 pre		beta2

%define major		4
%define libname		%mklibname audcore %{major}

%define majortag	3
%define libtag		%mklibname audtag %{majortag}

%define devname		%mklibname %{name} -d

Summary:	A versatile and handy media player
Name:		audacious
Version:	3.8.2
Release:	%mkrel %{?pre:0.%pre.}%{rel}
Epoch:		6
Source0:	http://distfiles.audacious-media-player.org/%{name}-%{version}%{?pre:-%pre}.tar.bz2
License:	BSD
Group:		Sound/Players
Url:		http://audacious-media-player.org/
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libguess) >= 1.2
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	desktop-file-utils
Recommends:	audacious-pulse
Requires:	audacious-plugins
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Core engine library for %{name}
Obsoletes:	%{_lib}audacious1 < %{epoch}:%{version}
Obsoletes:	%{_lib}audcore2 < 6:3.8-3

%description -n	%{libname}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the library needed by %{name}.

%package -n	%{libtag}
Group:		System/Libraries
Summary:	Core engine library for %{name}
Obsoletes:	%{_lib}audacious2 < %{epoch}:%{version}
Obsoletes:	%{_lib}audgui3 < 6:3.8-3

%description -n	%{libtag}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the library needed by %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Requires:	%{libtag} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname -d %{name} 5}

%description -n	%{devname}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the files needed for developing applications
which use %{name}.

%prep
%setup -q -n %{name}-%{version}%{?pre:-%pre}
%autopatch -p1

%build
%configure2_5x \
	--disable-rpath \
	--with-buildstamp="%{_vendor} %{distro_release} package"

%make

%install
%makeinstall_std

desktop-file-install \
	--vendor="" \
	--remove-category="Application" \
	--add-category="Audio" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

%find_lang %{name}

#clean some files/dirs
rm -rf %{buildroot}%{_datadir}/%{name}/applications/
rm -rf %{buildroot}%{_includedir}/mp4.h

%files -f %{name}.lang
%doc AUTHORS COPYING
%{_bindir}/audtool
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libaudcore.so.%{major}{,.*}
%{_libdir}/libaudgui.so.%{major}{,.*}

%files -n %{libtag}
%{_libdir}/libaudtag.so.%{majortag}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_includedir}/libaudcore/
%{_includedir}/libaudgui/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Jan 25 2017 luigiwalser <luigiwalser> 6:3.8.2-1.mga6
+ Revision: 1083392
- 3.8.2

* Fri Jan 20 2017 gw666 <gw666> 6:3.8.1-2.mga6
+ Revision: 1082504
- require audacious-plugins (mga#20145)

* Sun Jan 01 2017 luigiwalser <luigiwalser> 6:3.8.1-1.mga6
+ Revision: 1078944
- 3.8.1

* Thu Dec 08 2016 eatdirt <eatdirt> 6:3.8-3.mga6
+ Revision: 1073248
+ rebuild (emptylog)

* Tue Dec 06 2016 eatdirt <eatdirt> 6:3.8-2.mga6
+ Revision: 1072820
- Add missing obsolete to libaudcore2

* Mon Dec 05 2016 wally <wally> 5:3.8-2.mga6
+ Revision: 1072681
- fix lib pkg names

* Thu Dec 01 2016 eatdirt <eatdirt> 5:3.8-1.mga6
+ Revision: 1071449
- Upgrading audacious to latest stable

* Fri Apr 22 2016 gw666 <gw666> 5:3.7.2-1.mga6
+ Revision: 1004909
- new version 3.7.2

* Sun Jan 03 2016 gw666 <gw666> 5:3.7.1-1.mga6
+ Revision: 919068
- new version 3.7.1
- remove old configure option

* Thu Sep 03 2015 cjw <cjw> 5:3.6.2-2.mga6
+ Revision: 872474
- rebuild with gcc 5

* Fri Jun 05 2015 gw666 <gw666> 5:3.6.2-1.mga6
+ Revision: 822931
- new version 3.6.2
- new version
- new major
- use gtk+2 instead of gtk+3

* Wed Nov 12 2014 cjw <cjw> 5:3.5.2-1.mga5
+ Revision: 796567
- 3.5.2

* Wed Oct 15 2014 umeabot <umeabot> 5:3.5.1-3.mga5
+ Revision: 746123
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5:3.5.1-2.mga5
+ Revision: 678036
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Aug 06 2014 gw666 <gw666> 5:3.5.1-1.mga5
+ Revision: 660130
- new version

* Fri May 30 2014 gw666 <gw666> 5:3.5-1.mga5
+ Revision: 627973
- new version
- update second library package name to allow smooth upgrades
- bump dep on libguess

* Tue Feb 04 2014 gw666 <gw666> 5:3.4.3-1.mga5
+ Revision: 580562
- new version

* Fri Dec 06 2013 gw666 <gw666> 5:3.4.2-1.mga4
+ Revision: 555520
- new bugfix release (mdv bug #11884)

* Sat Oct 19 2013 umeabot <umeabot> 5:3.4.1-2.mga4
+ Revision: 533770
- Mageia 4 Mass Rebuild

* Wed Sep 04 2013 gw666 <gw666> 5:3.4.1-1.mga4
+ Revision: 475076
- new version
- drop upstream patch

* Wed Aug 28 2013 gw666 <gw666> 5:3.4-2.mga4
+ Revision: 472588
- increase probing buffer to fix vorbis file detection

* Sat Jun 29 2013 gw666 <gw666> 5:3.4-1.mga4
+ Revision: 448385
- new version

* Tue Jun 04 2013 gw666 <gw666> 5:3.4-0.beta2.1.mga4
+ Revision: 437187
- new version

* Thu May 23 2013 gw666 <gw666> 5:3.4-0.beta1.1.mga4
+ Revision: 425405
- new prerelease

* Wed Feb 06 2013 gw666 <gw666> 5:3.3.4-1.mga3
+ Revision: 394924
- new version

* Fri Jan 11 2013 umeabot <umeabot> 5:3.3.3-2.mga3
+ Revision: 346572
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 gw666 <gw666> 5:3.3.3-1.mga3
+ Revision: 329542
- new version

* Thu Nov 29 2012 gw666 <gw666> 5:3.3.2-2.mga3
+ Revision: 323086
- update rpm group

* Sun Sep 23 2012 wally <wally> 5:3.3.2-1.mga3
+ Revision: 296916
- new version 3.3.2

* Sun Aug 12 2012 wally <wally> 5:3.3.1-1.mga3
+ Revision: 280952
- new version 3.3.1

* Sat Jul 28 2012 wally <wally> 5:3.3-1.mga3
+ Revision: 275442
- new version 3.3

* Fri Jul 20 2012 wally <wally> 5:3.3-0.beta2.1.mga3
+ Revision: 272893
- new version 3.3 beta2

* Sun Jul 08 2012 wally <wally> 5:3.3-0.beta1.1.mga3
+ Revision: 268891
- new version 3.3 beta1
- fix license to BSD

* Mon Jun 18 2012 wally <wally> 5:3.3-0.alpha1.1.mga3
+ Revision: 261799
- new version 3.3 alpha1
- drop unrecognized configure options
- clean .spec

* Thu May 31 2012 wally <wally> 5:3.2.3-1.mga3
+ Revision: 252522
- new version 3.2.3
- drop unneeded gmodule patch

* Sun Apr 15 2012 luigiwalser <luigiwalser> 5:3.2.2-1.mga2
+ Revision: 230829
- 3.2.2

* Sat Feb 18 2012 wally <wally> 5:3.2.1-1.mga2
+ Revision: 210292
- new version 3.2.1

* Mon Jan 23 2012 wally <wally> 5:3.2-1.mga2
+ Revision: 200274
- new version 3.2

* Tue Jan 10 2012 wally <wally> 5:3.2-0.beta2.1.mga2
+ Revision: 194670
- new version 3.2 beta2

* Fri Dec 30 2011 wally <wally> 5:3.2-0.beta1.1.mga2
+ Revision: 189046
- new version 3.2 beta1

* Mon Dec 26 2011 wally <wally> 5:3.2-0.alpha1.1.mga2
+ Revision: 187764
- new version 3.2 alpha1
- add buildstamp configure option
- add gmodule-2.0 patch from Fedora
- drop unused xmms patch
- clean BRs (and .spec)

* Tue Dec 06 2011 wally <wally> 5:3.1.1-1.mga2
+ Revision: 177365
- new version 3.1.1

* Thu Nov 10 2011 wally <wally> 5:3.1-1.mga2
+ Revision: 166201
- new version 3.1 final

* Sun Oct 30 2011 wally <wally> 5:3.1-0.beta3.1.mga2
+ Revision: 159953
- new version 3.1 beta3
- drop old provides
- drop old configure option

* Mon Oct 17 2011 wally <wally> 5:3.1-0.beta2.1.mga2
+ Revision: 155873
- new version 3.1 beta2

* Tue Oct 11 2011 wally <wally> 5:3.1-0.beta1.1.mga2
+ Revision: 153953
- new version 3.1 beta1

* Fri Sep 23 2011 wally <wally> 5:3.1-0.alpha1.1.mga2
+ Revision: 147079
- clean BRs
- new version 3.1 alpha1

* Tue Sep 20 2011 wally <wally> 5:3.0.3-1.mga2
+ Revision: 146029
- new version 3.0.3
- new version 3.0.2
- new version 3.0.1
- rename lib packages
- fix lib package summaries
- drop old obsoletes/provides

* Mon Jul 18 2011 wally <wally> 5:3.0-1.mga2
+ Revision: 125989
- final version 3.0

* Wed Jul 13 2011 wally <wally> 5:3.0-0.beta1.1.mga2
+ Revision: 123819
- new version 3.0 beta1

* Sun Jun 26 2011 wally <wally> 5:3.0-0.alpha1.1.mga2
+ Revision: 114072
- new version 3.0 alpha1
- clean .spec

* Tue Jun 07 2011 dmorgan <dmorgan> 5:2.5.1-1.mga2
+ Revision: 101557
- New version
  Adapt buildrequires
  Fix file list

* Fri Mar 04 2011 ennael <ennael> 5:2.4.4-1.mga1
+ Revision: 63928
- imported package audacious

